

pub enum Grid {
    Square { width: u32 },
    Hexagon { width: u32 },
    Triangle { width: u32 },
}
/// Texture directory source and file
pub enum TextureSource {
    // TODO: I think os string would better fit
    /// Server's shared textures directory
    Shared(String),
    /// Custom table directory
    Custom(String),
    /// Game shared textures directory
    Game(String),
}

pub enum TextureType {
    Image,
    Token,
    Map {
        /// Grid type and size
        grid: Grid,
        /// grid offset from (0, 0)
        grid_offset: (i32, i32),
    }
}

pub struct Texture {
    pub source: TextureSource,
    pub ttype: TextureType,
}